Frame (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.transport

## Class Frame

- java.lang.Object
- - org.apache.cassandra.transport.Frame

-     public class Frame
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Frame.Compressor`
    `static class` | `Frame.Decoder`
    `static class` | `Frame.Decompressor`
    `static class` | `Frame.Encoder`
    `static class` | `Frame.Header`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `io.netty.buffer.ByteBuf` | `body`
    `Frame.Header` | `header`
    `static byte` | `PROTOCOL_VERSION_MASK`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Frame` | `create(Message.Type type, int streamId, int version, java.util.EnumSet<Frame.Header.Flag> flags, io.netty.buffer.ByteBuf body)`
    `boolean` | `release()`
    `void` | `retain()`
    `Frame` | `with(io.netty.buffer.ByteBuf newBody)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROTOCOL_VERSION_MASK

          public static final byte PROTOCOL_VERSION_MASK

      See Also:
        Constant Field Values

    - #### header

          public final Frame.Header header

    - #### body

          public final io.netty.buffer.ByteBuf body

  - ### Method Detail

    - #### retain

          public void retain()

    - #### release

          public boolean release()

    - #### create

          public static Frame create(Message.Type type,
                                     int streamId,
                                     int version,
                                     java.util.EnumSet<Frame.Header.Flag> flags,
                                     io.netty.buffer.ByteBuf body)

    - #### with

          public Frame with(io.netty.buffer.ByteBuf newBody)

Copyright © 2018 The Apache Software Foundation